package com.github.zengfr.easymodbus4j.codec;

import com.github.zengfr.easymodbus4j.codec.util.ModbusFunctionDecoderUtil;
import com.github.zengfr.easymodbus4j.protocol.ModbusFunction;
import io.netty.buffer.ByteBuf;

public class ModbusPduReqCodec extends ModbusPduCodec {
    public ModbusFunction decode(ByteBuf buffer) {
        return decodeFunction(buffer);
    }

    public static ModbusFunction decodeFunction(ByteBuf buffer) {
        short functionCode = buffer.readUnsignedByte();
        ModbusFunction function = ModbusFunctionDecoderUtil.decodeReqFunction(functionCode);
        function.decode(buffer);
        return function;
    }
}
