package com.github.zengfr.easymodbus4j.common.util;

public class ConsoleUtil {
    public static void clearConsole(boolean clear) {
        try {
            if (clear) {
                String os = System.getProperty("os.name");
                if (os.contains("Windows")) {
                    (new ProcessBuilder("cmd", "/c", "cls")).inheritIO().start().waitFor();
                } else {
                    Runtime.getRuntime().exec("clear");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
