package com.github.zengfr.easymodbus4j.func.request;

import com.github.zengfr.easymodbus4j.func.AbstractRequest;

public class ReadCoilsRequest extends AbstractRequest {
    public ReadCoilsRequest() {
        super((short) 1);
    }

    public ReadCoilsRequest(int startingAddress, int quantityOfCoils) {
        super((short) 1, startingAddress, quantityOfCoils);
    }

    public int getStartingAddress() {
        return this.address;
    }

    public int getQuantityOfCoils() {
        return this.value;
    }

    public String toString() {
        return "ReadCoilsRequest{startingAddress=" + this.address + ", quantityOfCoils=" + this.value + '}';
    }
}
