package com.github.zengfr.easymodbus4j.func.request;

import com.github.zengfr.easymodbus4j.func.AbstractRequest;

public class ReadDiscreteInputsRequest extends AbstractRequest {
    public ReadDiscreteInputsRequest() {
        super((short) 2);
    }

    public ReadDiscreteInputsRequest(int startingAddress, int quantityOfCoils) {
        super((short) 2, startingAddress, quantityOfCoils);
    }

    public int getStartingAddress() {
        return this.address;
    }

    public int getQuantityOfCoils() {
        return this.value;
    }

    public String toString() {
        return "ReadDiscreteInputsRequest{startingAddress=" + this.address + ", quantityOfCoils=" + this.value + '}';
    }
}
