package com.github.zengfr.easymodbus4j.func.request;

import com.github.zengfr.easymodbus4j.func.AbstractRequest;

public class ReadInputRegistersRequest extends AbstractRequest {
    public ReadInputRegistersRequest() {
        super((short) 4);
    }

    public ReadInputRegistersRequest(int startingAddress, int quantityOfInputRegisters) {
        super((short) 4, startingAddress, quantityOfInputRegisters);
    }

    public int getStartingAddress() {
        return this.address;
    }

    public int getQuantityOfInputRegisters() {
        return this.value;
    }

    public String toString() {
        return "ReadInputRegistersRequest{startingAddress=" + this.address + ", quantityOfInputRegisters=" + this.value + '}';
    }
}
