package com.github.zengfr.easymodbus4j.server;

import com.github.zengfr.easymodbus4j.channel.ModbusTcpChannelInitializer;
import com.github.zengfr.easymodbus4j.handler.ModbusInboundHandler;
import com.github.zengfr.easymodbus4j.handler.ModbusRequestHandler;
import io.netty.channel.ChannelInitializer;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.channel.socket.SocketChannel;

public class ModbusServer4TcpSlave extends ModbusServer {
    public ModbusServer4TcpSlave(int port) {
        super(port);
    }

    public void setup(ModbusRequestHandler handler) throws Exception {
        super.setup(handler);
    }

    protected ChannelInitializer<SocketChannel> getChannelInitializer(ModbusInboundHandler handler) {
        return new ModbusTcpChannelInitializer(Boolean.valueOf(true), handler);
    }
}
