DROP TABLE IF EXISTS `tsdata`;
CREATE TABLE `tsdata`
(
    `code`   varchar(225),
    `value`   varchar(225),
    `scada_time` datetime
);

CREATE TABLE "DEVICE_MONITOR"
   ( "ID" VARCHAR2(100),               --设备ID
	"LAST_ONLINE_TIME" TIMESTAMP (6),  --最近上线时间
	"LAST_OFFLINE_TIME" TIMESTAMP (6), --最近下线时间
	"LAST_REFRESH_TIME" TIMESTAMP (6), --最近采集时间
	"LAST_DATA" VARCHAR2(2048),        --最新采集数据
	"DEVICE_STATE" NUMBER(1,0)         --设备当前状态（1:在线、0：离线）
   );

CREATE TABLE "DEVICE_MONITOR_HISTORY"
   ( "ID" VARCHAR2(100),               --设备ID
	"CREATE_TIME" TIMESTAMP (6),       --时间
	"DEVICE_STATE" NUMBER(1,0)         --设备状态（1:上线、0：下线）
   );