package com.github.zengfr.easymodbus4j.func.request;

import com.github.zengfr.easymodbus4j.func.AbstractRequest;

public class ReadHoldingRegistersRequest extends AbstractRequest {
    public ReadHoldingRegistersRequest() {
        super((short) 3);
    }

    public ReadHoldingRegistersRequest(int startingAddress, int quantityOfInputRegisters) {
        super((short) 3, startingAddress, quantityOfInputRegisters);
    }

    public int getStartingAddress() {
        return this.address;
    }

    public int getQuantityOfInputRegisters() {
        return this.value;
    }

    public String toString() {
        return "ReadHoldingRegistersRequest{startingAddress=" + this.address + ", quantityOfInputRegisters=" + this.value + '}';
    }
}
