package com.github.zengfr.easymodbus4j.func.request;

import com.github.zengfr.easymodbus4j.func.AbstractRequest;

public class WriteSingleRegisterRequest extends AbstractRequest {
    public WriteSingleRegisterRequest() {
        super((short) 6);
    }

    public WriteSingleRegisterRequest(int outputAddress, int value) {
        super((short) 6, outputAddress, value);
    }

    public int getRegisterAddress() {
        return this.address;
    }

    public int getRegisterValue() {
        return this.value;
    }

    public String toString() {
        return "WriteSingleRegisterRequest{registerAddress=" + this.address + ", registerValue=" + this.value + '}';
    }
}
