package com.github.zengfr.easymodbus4j.func.response;

import com.github.zengfr.easymodbus4j.func.AbstractWriteResponse;

public class WriteMultipleCoilsResponse extends AbstractWriteResponse {
    public WriteMultipleCoilsResponse() {
        super((short) 15);
    }

    public WriteMultipleCoilsResponse(int startingAddress, int quantityOfOutputs) {
        super((short) 15, startingAddress, quantityOfOutputs);
    }

    public int getStartingAddress() {
        return this.address;
    }

    public int getQuantityOfOutputs() {
        return this.value;
    }

    public String toString() {
        return "WriteMultipleCoilsResponse{startingAddress=" + this.address + ", quantityOfOutputs=" + this.value + '}';
    }
}
