package com.github.zengfr.easymodbus4j.func.response;

import com.github.zengfr.easymodbus4j.func.AbstractWriteResponse;

public class WriteSingleRegisterResponse extends AbstractWriteResponse {
    public WriteSingleRegisterResponse() {
        super((short) 6);
    }

    public WriteSingleRegisterResponse(int outputAddress, int value) {
        super((short) 6, outputAddress, value);
    }

    public int getRegisterAddress() {
        return this.address;
    }

    public int getRegisterValue() {
        return this.value;
    }

    public String toString() {
        return "WriteSingleRegisterResponse{registerAddress=" + this.address + ", registerValue=" + this.value + '}';
    }
}
