package com.github.zengfr.easymodbus4j.registers;

import java.util.HashMap;

public class RegistersFactory extends HashMap<Short, Registers> {
    private static final long serialVersionUID = 628379880359409400L;

    private static class RegistersFactoryHolder {
        private static final RegistersFactory INSTANCE = new RegistersFactory();
    }

    public static RegistersFactory getInstance() {
        return RegistersFactoryHolder.INSTANCE;
    }

    public Registers getOrInit(Short key) {
        if (!containsKey(key))
            put(key, new Registers());
        return get(key);
    }
}
