package com.github.zengfr.easymodbus4j.server;

import com.github.zengfr.easymodbus4j.channel.ModbusRtuChannelInitializer;
import com.github.zengfr.easymodbus4j.handler.ModbusInboundHandler;
import com.github.zengfr.easymodbus4j.handler.ModbusResponseHandler;
import io.netty.channel.ChannelInitializer;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.channel.socket.SocketChannel;

public class ModbusServer4RtuMaster extends ModbusServer {
    public ModbusServer4RtuMaster(int port) {
        super(port);
    }

    public void setup(ModbusResponseHandler handler) throws Exception {
        super.setup(handler);
    }

    protected ChannelInitializer<SocketChannel> getChannelInitializer(ModbusInboundHandler handler) {
        return new ModbusRtuChannelInitializer(Boolean.valueOf(false), handler);
    }
}
