package tofly.modbus_gateway2.log;

/**
 * 日志管理
 */
public interface Log {

    boolean isDebugEnabled();

    void error(String p_sMsg, Throwable p_throwable);

    void error(String p_sMsg);

    boolean isInfoEnabled();

    void info(String p_sMsg);

    void debug(String p_sMsg);

    void debug(String p_sMsg, Throwable p_throwable);

    boolean isWarnEnabled();

    void warn(String p_sMsg);

    void warn(String p_sMsg, Throwable p_throwable);

    boolean isErrorEnabled();

    int getErrorCount();

    int getWarnCount();

    int getInfoCount();

    int getDebugCount();

    void resetStat();
}
