package tofly.modbus_gateway2.transmit;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import tofly.modbus_gateway2.util.SystemConst;

@FeignClient(name="DeviceDiscoveryApiService", url= SystemConst.g_platform_ip +":"+"${platform.port}")
public interface DeviceDiscoveryApiService {

    @PostMapping("/api/yt/device-discovery/save")
    @Async
    DeviceDiscovery saveDeviceDiscovery(@RequestBody DeviceDiscovery deviceDiscovery);

}